[edk2-devel] [PATCH] OvmfPkg/build.sh: use POSIX 'command -v' instead of 'which'.

rebecca at bsdio.com rebecca at bsdio.com
Wed Jul 24 00:49:47 UTC 2019


Signed-off-by: Rebecca Cran <rebecca at bsdio.com>
---
 OvmfPkg/build.sh | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/OvmfPkg/build.sh b/OvmfPkg/build.sh
index e94aa2a37e..1c28e65404 100755
--- a/OvmfPkg/build.sh
+++ b/OvmfPkg/build.sh
@@ -174,11 +174,11 @@ case $PROCESSOR in
       # The user set the QEMU_COMMAND variable. We'll use it to run QEMU.
       #
       :
-    elif  [ -x `which qemu-system-i386` ]; then
+    elif command -v qemu-system-i386; then
       QEMU_COMMAND=qemu-system-i386
-    elif  [ -x `which qemu-system-x86_64` ]; then
+    elif command -v qemu-system-x86_64; then
       QEMU_COMMAND=qemu-system-x86_64
-    elif  [ -x `which qemu` ]; then
+    elif command -v qemu; then
       QEMU_COMMAND=qemu
     else
       echo Unable to find QEMU for IA32 architecture!
@@ -242,12 +242,12 @@ FV_DIR=$BUILD_ROOT/FV
 BUILD_ROOT_ARCH=$BUILD_ROOT/$BUILD_ROOT_ARCH
 QEMU_FIRMWARE_DIR=$BUILD_ROOT/QEMU
 
-if  [[ ! -f `which build` || ! -f `which GenFv` ]];
+if ! command -v build || ! command -v GenFv;
 then
   # build the tools if they don't yet exist. Bin scheme
   echo Building tools as they are not in the path
   make -C $WORKSPACE/BaseTools
-elif [[ ( -f `which build` ||  -f `which GenFv` )  && ! -d  $EDK_TOOLS_PATH/Source/C/bin ]];
+elif [[ ( $(command -v build) || $(command -v GenFv) ) && ! -d $EDK_TOOLS_PATH/Source/C/bin ]];
 then
   # build the tools if they don't yet exist. BinWrapper scheme
   echo Building tools no $EDK_TOOLS_PATH/Source/C/bin directory
-- 
2.22.0


-=-=-=-=-=-=-=-=-=-=-=-
Groups.io Links: You receive all messages sent to this group.

View/Reply Online (#44273): https://edk2.groups.io/g/devel/message/44273
Mute This Topic: https://groups.io/mt/32579615/1813853
Group Owner: devel+owner at edk2.groups.io
Unsubscribe: https://edk2.groups.io/g/devel/unsub  [edk2-devel-archive at redhat.com]
-=-=-=-=-=-=-=-=-=-=-=-




More information about the edk2-devel-archive mailing list